> For the complete documentation index, see [llms.txt](https://docs.explodely.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.explodely.com/api/edit-private-affiliate-payout.md).

# Edit Private Affiliate Payout

**Affiliate API Endpoint:**

`https://explodely.com/api/v1/aff`&#x20;

**Parameters:**

To edit a private affiliate payout, you need to send below parameters as POST to the affiliate API endpoint.

username - Your Explodely account username

apikey - Your Explodely account API key

apiaction - This should always be set as "editaffprivatepayout"

affid - The affiliate ID of the private payout you wish to edit

productid - The exact product ID or "allproducts" (whatever you have set for private payout)

comm - The % in number (between 1-80) which you wish to set as private affiliate commission

**Responses:**

The API endpoint returns a JSON object.

`{"error":"invalidapikey"}` - This is returned when the API key and username is not authenticated.

`{"error":"invalid_sellerid"}` - This is returned when the username is not a valid seller account.

`{"error":"invalid_affcomm"}` - This is returned when the provided comm  value is invalid.

`{"error":"`invalid\_private\_payout`"}` - When the private payout details you have sent does not fetch any existing private payout under your account.

`{"`private\_payout\_edited`":"ok}` - This is returned when the private affiliate payout is edited.

Please confirm the edit of private affiliate payout inside your seller account using a test and in case of any issues, contact Explodely support.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://docs.explodely.com/api/edit-private-affiliate-payout.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
